Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel
Interface ContainerDefinition

All Superinterfaces:
  org.apache.cocoon.util.location.Locatable, WidgetDefinition

All Known Implementing Classes:
  AbstractContainerDefinition

public interface ContainerDefinition
extends WidgetDefinition

Interface to be implemented by WidgetDefinitions for Widgets which contain other widgets.

Version:
  $Id: ContainerDefinition.java 587759 2007-10-24 03:00:37Z vgritsenko $

Method Summary
`void` | `addWidgetDefinition(WidgetDefinition definition)` Adds a (sub) widget definition to this definition.
`void` | `createWidget(Widget parent, String id)` Create a widget from a contained widget definition.
`void` | `createWidgets(Widget parent)` Create widgets from the contained widget definitions.
`WidgetDefinition` | `getWidgetDefinition(String id)` Gets a (sub) widget definition from this definition.
`Collection` | `getWidgetDefinitions()` Gets the collection of (sub) widget definition from this definition.
`boolean` | `hasWidget(String id)` Check if this definition contains the named definition.
`void` | `resolve(List parents, WidgetDefinition parent)` Resolve references to widget definition classes

Methods inherited from interface org.apache.cocoon.forms.formmodel.WidgetDefinition
`checkCompleteness, createInstance, generateDisplayData, generateDisplayData, generateLabel, getAttribute, getEnclosingLibrary, getFormDefinition, getId, getLocation, initializeFrom, setEnclosingLibrary, setParent, validate`

Method Detail

### resolve

    public void resolve(List parents,
                        WidgetDefinition parent)
                 throws Exception

  Resolve references to widget definition classes

  Throws:
    `Exception`

### createWidget

    public void createWidget(Widget parent,
                             String id)

  Create a widget from a contained widget definition.

### createWidgets

    public void createWidgets(Widget parent)

  Create widgets from the contained widget definitions.

### addWidgetDefinition

    public void addWidgetDefinition(WidgetDefinition definition)
                             throws Exception,
                                    DuplicateIdException

  Adds a (sub) widget definition to this definition.

  Throws:
    `Exception`
    `DuplicateIdException`

### hasWidget

    public boolean hasWidget(String id)

  Check if this definition contains the named definition.

### getWidgetDefinition

    public WidgetDefinition getWidgetDefinition(String id)

  Gets a (sub) widget definition from this definition.

### getWidgetDefinitions

    public Collection getWidgetDefinitions()

  Gets the collection of (sub) widget definition from this definition.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.